Lavalite package that provides e-commorce management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `nizar/e-commorce`.

    "nizar/e-commorce": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Nizar\ECommorce\Providers\ECommorceServiceProvider::class,

And also add it to alias

    'ECommorce'  => Nizar\ECommorce\Facades\ECommorce::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Nizar\\ECommorceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Nizar\ECommorce\Providers\ECommorceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Nizar\ECommorce\Providers\ECommorceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Nizar\ECommorce\Providers\ECommorceServiceProvider" --tag="view"


## Usage


