<?php

namespace Nizar\ECommorce\Repositories\Eloquent;

use Nizar\ECommorce\Interfaces\ProductsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ProductsRepository extends BaseRepository implements ProductsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('nizar.e-commorce.products.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('nizar.e-commorce.products.model.model');
    }
}
